Subject: RE: [mobile-ip] Revised Localized Mobility Management Requirement s

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Thu, 19 Apr 2001 10:37:40 +0200

Hello Theo and James

> >     "a Localised mobility management scheme should be able 
> to adapt to
> >topological changes
> >arising in the domain that the LMM scheme is in effect.
> >
> >The reason:
> >
> >    the failure of LMM agents manifests itself as a 
> topological change, since
> >in IPv6 any such LMM agent will be a routing element. 
> However, the population
> >of new routing elements that can be potential candidates for 
> LMM agents is also
> >a manifestation of a topological change.
> >
> >The LMM scheme should be able to adapt to both; the latter 
> is extremely
> >important in terms of scalability and incremental deployment 
> since we cannot
> >expect to cast a domain topology in stone and live without expansion.
> >
> 
> I agree with this. It is a much more precise description.
> 

I think this change could bring new functionality into local MIP mobility
which is not necessarily needed. The local agent is basically a
local HA. Adapting to topological change is in the domain of MANET.
IMO we need some agent redundancy protocol more than a MANET protocol
which the above points to. It may be due to my misinterpretation, but
that's the way it reads to me. So I am happier with Phil's version
or something along those lines.

In any case this requirement can be applied to HAs and local agents (MAPs),
so it could be (should be?) solved outside the local mobility draft.
(i.e. mobility agent redundancy protocol).

Regards
/Karim

---

From: Theo Pagtzis <[email-masked]>
Date: Thu, 19 Apr 2001 10:56:26 -0700

Hi Karim,

  It surely brings new functionality, which is pretty much the autoconfig
stuff. I have provided
some reasoning as to why this is a must as far as the points of failure
(topological change) is concerned. If the LMM scheme does not want to cater
for extensibility (which is another requirement under the name scalability)
then it is up to the protocol. This is why I mentioned "should"  rather than
"must".

However, looking at the inter-relations between requirements the LMM will need
scalability anyway, which to me signifies a requirement for the second part of
what I term extensibility as manifestation of new candidate LMM-aware routing
elements that present strong candidacy for topological changes also.

Whether this is part of a single document or a cluster of documents (draft or
other) I am not really fussed..whatever serves better a modular and concrete
specification of the LMM scheme as a whole.

Theo

UCL/ Mobile Systems